Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class LocateRequestHeader_1_2

    java.lang.Object
      |
      +--org.omg.GIOP.LocateRequestHeader_1_2

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class LocateRequestHeader_1_2
extends java.lang.Object
implements IDLEntity

Struct definition : LocateRequestHeader_1_2

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`int` | `request_id` Struct member request_id
`TargetAddress` | `target` Struct member target

Constructor Summary
`LocateRequestHeader_1_2()` Default constructor
`LocateRequestHeader_1_2(int request_id, TargetAddress target)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request_id

    public int request_id

  Struct member request_id

### target

    public TargetAddress target

  Struct member target

Constructor Detail

### LocateRequestHeader_1_2

    public LocateRequestHeader_1_2()

  Default constructor

### LocateRequestHeader_1_2

    public LocateRequestHeader_1_2(int request_id,
                                   TargetAddress target)

  Constructor with fields initialization
  Parameters:
    `request_id` - request_id struct member
    `target` - target struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD